# Creating a new Organization

Creates an organization.

Bulk Create

This endpoint supports bulk creating up to 100 objects. In the request body, set the top-level key to its plural form and place the objects in an array. Example:


{
  "organizations": [
    {
      "name": "Organization",
      "parent_id": 123
    },
    {
      "name": "Organization",
      "parent_id": 123
    }
  ]
}



This endpoint returns structured Organization objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the organizations top-level JSON key.
Please see our Response Format section for more information.

Endpoint: POST /organizations
Version: 1.0.0

## Request fields (application/json):

  - `organization` (object)

  - `organization.name` (string, required)
    The name of the organization.

  - `organization.parent_id` (integer, required)
    The id of the parent organization.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `organizations` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


